- Home
- API Enriched
- Shape
- shape
- Test JS
Test JS
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/testjs';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"domain":"example","namespace":"example","pageURL":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/testjs \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "domain": "example", "namespace": "example", "pageURL": "example" }'Validate JS script tag injection in the target URL.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to GET injected JS tag status.
object
Root domain that page URL belongs to Example: if you are adding Client-Side Defense JS on checkout.example.com, you should enter example.com here.
Namespace
Page URL that user injects JS tag to.
Examplegenerated
{ "domain": "example", "namespace": "example", "pageURL": "example"}Responses
Section titled “Responses”A successful response.
GET the page URL JS status.
object
The error string if the status is failed.
Example
{ "status": "DETECTED"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example